#include "mainwidget.h"
#include "ui_mainwidget.h"
#include "intlistmodel.h"

MainWidget::MainWidget(QWidget *parent) :
  QWidget(parent),
  ui(new Ui::MainWidget)
{
  ui->setupUi(this);

//  Создание объекта библиотечной модели
//  QStandardItemModel* model = new QStandardItemModel(this);
//  Наполнение модели данными
//  model->setItem(0, new QStandardItem("fffss"));
//  model->setItem(1, new QStandardItem("fff"));
//  model->setItem(2, new QStandardItem("sssss"));
//  model->setItem(3, new QStandardItem("zzzzz"));
//  model->setItem(5, new QStandardItem("hhhhh"));

  //Создание объекта пользовательской модели
  IntListModel* model = new IntListModel(this);
  //Назначение объектам представлений объекта модели для отображения
  ui->listView->setModel(model);
  ui->tableView->setModel(model);
}

MainWidget::~MainWidget()
{
  delete ui;
}

void MainWidget::on_btnAsc_clicked()
{
  //Пример вызова метода сортировки "по возрастанию" из кода программы
  ui->listView->model()->sort(0, Qt::AscendingOrder);
}

void MainWidget::on_btnDesc_clicked()
{
  //Вызов метода сортировки "по убыванию"
  ui->listView->model()->sort(0, Qt::DescendingOrder);
}
