#ifndef INTLISTMODEL_H
#define INTLISTMODEL_H

#include <QAbstractListModel>

//Класс пользовательской модели для отображения списка целых чисел
class IntListModel : public QAbstractListModel
{
  Q_OBJECT
public:
  explicit IntListModel(QObject *parent = 0);

signals:

public slots:

private:
  //Объект, хранящий данные модели
  QList<int> items;

public:
  //Переопределение виртуальных методов необходимых для отображения данных модели
  virtual int rowCount(const QModelIndex &parent) const;
  virtual QVariant data(const QModelIndex &index, int role) const;
  //Переопределение виртуального метода, отвечающего за сортировку
  virtual void sort(int column, Qt::SortOrder order);
};

#endif // INTLISTMODEL_H
